Bug 701376 - (ghc-citeproc-hs) Review Request: ghc-citeproc-hs - Haskell library for the Citation Style Language
Review Request: ghc-citeproc-hs - Haskell library for the Citation Style Lang...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-pandoc-types ghc-json
Blocks: 693325
  Show dependency treegraph
 
Reported: 2011-05-02 14:06 EDT by Jens Petersen
Modified: 2011-06-07 00:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-citeproc-hs-0.3.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 06:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-05-02 14:06:15 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-citeproc-hs/ghc-citeproc-hs.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-citeproc-hs/ghc-citeproc-hs-0.3.2-1.fc14.src.rpm
Description:
A Haskell library for rendering bibliographic reference citations
into a variety of styles using a macro language called
Citation Style Language (CSL): http://citationstyles.org/.

This package is needed by pandoc-1.8.
Comment 2 Narasimhan 2011-05-26 21:22:29 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint -i ghc-citeproc-hs*fc16*.rpm ghc-citeproc-hs.spec 
ghc-citeproc-hs.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-citeproc-hs-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD 3 clause variant.
[+]MUST: The License field in the package spec file must match the actual license.

[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Yes, LICENSE file is included in the base package.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ~/Downloads/citeproc-hs-0.3.2.tar.gz 
9d0c3861e858aeed2147ed2deb1deeb8  ~/Downloads/citeproc-hs-0.3.2.tar.gz

md5sum ghc-citeproc-hs-0.3.2-2.fc15.src/citeproc-hs-0.3.2.tar.gz            
9d0c3861e858aeed2147ed2deb1deeb8  ghc-citeproc-hs-0.3.2-2.fc15.src/citeproc-hs-0.3.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.

[+]MUST: All build dependencies must be listed in BuildRequires.
The prof files are mentioned directly instead of the template style of using ghc_pkg_deps. The understanding is that the prof files should
pull in the devel and base packages across f14,f15 and rawhide.

[?]MUST: The spec file MUST handle locales properly using the %find_lang macro
Locale files are copied into /usr/share/citeproc-hs-{version}/locales.

[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.

[+]MUST: The package must contain code, or permissible content.
Locale files are included in /usr/share

[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-citeproc-hs
error: Failed dependencies:
        ghc-citeproc-hs = 0.3.2-2.fc14 is needed by (installed) ghc-citeproc-hs-devel-0.3.2-2.fc14.i686
rpm -e ghc-citeproc-hs-devel
error: Failed dependencies:
        ghc-citeproc-hs-devel = 0.3.2-2.fc14 is needed by (installed) ghc-citeproc-hs-prof-0.3.2-2.fc14.i686

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Imported Text.CSL.Eval into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

Two doubts: 
1) Will the ghc-{package}-prof files pull in all base/devel packages across f14,f15 and rawhide?
2) Regarding locales, I find that the xml mechanism is different than using .po or .mo (correct me if am wrong here). I hope that the application will detect and handle locales appropriately.

APPROVED.
Comment 3 Jens Petersen 2011-05-27 00:45:44 EDT
Thanks for reviewing. :)

(In reply to comment #2)
> 1) Will the ghc-{package}-prof files pull in all base/devel packages across
> f14,f15 and rawhide?

There are no longer prof subpackages in rawhide going forward.
For f14 and f15 currently prof should require devel
which will pull in the base package (on primary archs).

> 2) Regarding locales, I find that the xml mechanism is different than using .po
> or .mo (correct me if am wrong here). I hope that the application will detect
> and handle locales appropriately.

Right I hadn't thought of it, and I think you're right
that find-lang.sh only works for gettext files.
Not sure there is anything we could/should do for this
at this time, unless the Guidelines mandate it.
Comment 4 Jens Petersen 2011-05-27 05:41:31 EDT
New Package SCM Request
=======================
Package Name: ghc-citeproc-hs
Short Description: Haskell library for the Citation Style Language
Owners: petersen
Branches: f14 f15 el6
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2011-05-27 12:34:05 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-05-28 03:19:30 EDT
ghc-citeproc-hs-0.3.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-citeproc-hs-0.3.2-2.fc15
Comment 7 Fedora Update System 2011-05-28 03:19:38 EDT
ghc-citeproc-hs-0.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-citeproc-hs-0.3.2-2.fc14
Comment 8 Fedora Update System 2011-05-28 19:54:15 EDT
ghc-citeproc-hs-0.3.2-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 9 Fedora Update System 2011-06-02 06:56:59 EDT
ghc-citeproc-hs-0.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2011-06-02 15:04:36 EDT
ghc-citeproc-hs-0.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-06-07 00:31:38 EDT
ghc-citeproc-hs-0.3.2-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.